Interface GitEndpointBuilderFactory.GitBuilders
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
- GitEndpointBuilderFactory
public static interface GitEndpointBuilderFactory.GitBuilders
-
Method Summary
Modifier and TypeMethodDescriptiongit()Git (camel-git) Perform operations on git repositories.Git (camel-git) Perform operations on git repositories.Git (camel-git) Perform operations on git repositories.
-
Method Details
-
git
Git (camel-git) Perform operations on git repositories. Category: file Since: 2.16 Maven coordinates: org.apache.camel:camel-git- Returns:
- the dsl builder for the headers' name.
-
git
Git (camel-git) Perform operations on git repositories. Category: file Since: 2.16 Maven coordinates: org.apache.camel:camel-git Syntax:git:localPathPath parameter: localPath (required) Local repository path- Parameters:
path- localPath- Returns:
- the dsl builder
-
git
Git (camel-git) Perform operations on git repositories. Category: file Since: 2.16 Maven coordinates: org.apache.camel:camel-git Syntax:git:localPathPath parameter: localPath (required) Local repository path- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- localPath- Returns:
- the dsl builder
-